﻿.selectionroot{
    display:flex;
    flex-direction:column;
}

.ddSelectionFields {
    display:flex;
    flex-direction:column;
    position: relative;
    width:280px;
    margin-bottom:30px;
}

.ddGrid .ddSelectionFields{ /* For autosøk-felt i tabell (Bilagsbehandling) */
    float:left;
    position:relative;
    margin-bottom:0;
    width:unset;
}

.ddNewAttestationFlowQuickReg .ddSelectionFields{
    flex-direction:row;
    flex-wrap:wrap;
}

.ddSelectionFieldGroup {
    margin: 10px 0 0 0;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
}

.ddSelectionFields summary {
    outline: none;
    cursor: pointer;
    display:flex;
}

.ddSelectionFields .ddSelectionFieldGroupLabel {
    white-space: nowrap;
    display: flex;
    justify-content: space-between;
    border: 1px solid #dbdbdb;
    border-radius: 4px;
    background-color: #fff;
    padding: 5px 10px;
    margin:2px 3px;
    width:275px;
}

.ddSelectionFields .ddSelectionFieldGroupLabel::after{
    content:"";
    display:flex;
    background-image: url('../img/Hake_graa.svg');
    background-repeat:no-repeat;
    height:12px;
    width:12px;
    margin:8px 0 0 10px;
}

.ddSelectionFields details[open] {
    padding: 0 0 10px 0;
}

.ddSelectionFields details[open] .ddSelectionFieldGroupLabel::after {
    transform:rotate(180deg);
    margin-top:3px;
}


/* Markering på gruppe at filter er satt */
/*.ddSelectionFields .ddSetSelectionValue summary .ddSelectionFieldGroupLabel:after {
    content: "";
    background-image: url('../img/Stjerne_gul.svg');
    background-repeat: no-repeat;
    height: 12px;
    width: 12px;
    position: relative;
    top: 4px;
    left: 10px;
    display: flex;
}*/

/* Vis alle/Vis kun vanligste i utvalgsgrupper */
.ddSelectionFields details.visFlere:not([open]) .skjulFlereTekst,
.ddSelectionFields details.visFlere[open] .visFlereTekst {
    display: none;
}

.ddSelectionFields .visFlere summary{
   margin:10px 0;
}

.ddSelectionFields .visFlereTekst,
.ddSelectionFields .skjulFlereTekst {
    color:#0e3a2e;
    text-decoration:underline;
    margin-left:5px;
}
/* Slutt: Vis alle/Vis kun vanligste i utvalgsgrupper */

/* Label */
.ddSelectionFields label {
    margin-top: 6px;
    width: 264px;
}

/* Legger kolon etter alle labels */
.ddSelectionField label:after,
.ddBusinessesSelectionField label:after,
.ddStatusesSelectionField label:after,
.ddCarrierCheckboxSelect label:after {
    content: ":";
}

.ddSelectionField label.ddSelectionFieldEmptyLabel:after {
    content:"";
}
/* Slutt: Label */


/*********************************************/
/* ddSelectionField og Div spesialbehandling */
.ddSelectionField,
.ddStatusesSelectionField,
.ddBusinessesSelectionField,
.ddSelectionFieldLarge {
    min-height: 30px;
    position: relative;
    display: flex;
    flex-direction: column;
    margin-left: 5px;
}

.ddStatusesSelectionField,
.ddBusinessesSelectionField{
    margin-bottom:10px;
    min-height:unset;
}

.ddAttestationDetailsContainer .ddSelectionField {
    min-height: 60px; /* Bærerlista i attestasjon */
}

.ddSelectionField.carrierList,
.ddSelectionField.carriersList { /* Bærerlista i HRE attestasjonsflyt */
    min-height: 65px;
}

.ddSelectionField .ddAutoSearchV2{
    height:35px;
}

.ddSelectionField .checkboxInnerContainer {
    display: flex;
}

.ddSelectionField.ibAmount{ /* checkbox i Reskontrovoersikt */
    margin-bottom:5px;
}

.ddSelectionField .tilknytninger, /* tilknytninger i Forfallsoversikt */
.ddSelectionField.visForklaringstekster { /* Dekningsbidrag widget */
    margin-bottom: 10px;
}

.ddSelectionField.lagring { /* Fakturer timer innstillinger */
    margin-bottom: 20px;
}

.ddSelectionField .layoutButtonContainer{
    display:flex;
}

.ddQuickFilter .ddSelectionField .quickFilterButton {
    width:275px;
    margin:5px 0;
}

.ddQuickFilter {
    float:left;
    margin-top:10px;
}

/* Parvise felter i filterflippen */
.ddSelectionField.frame {
    flex-direction: row;
}

.ddSelectionField.small label {
    width:unset;
}

.ddSelectionField.small .ddNumericTextBox,
.ddSelectionField.small .ddTextBox,
.ddSelectionField.small .ddStringDatePicker,
.ddSelectionField.small .ddDatePicker,
.ddSelectionField.small .ddDropDownList {
    width: 127px;
}

.ddSelectionField.small.first,
.ddSelectionField.frame .ddSelectionField:first-child{
    margin-left:0;
    width:50%;
}

.ddSelectionField.frame .ddSelectionField.wide:first-child{
    width:80%; /* hvis label er for stor */
}

.ddSelectionField.frame .ddSelectionField.wider:first-child {
    width: 90%; /* hvis label er for stor */
}

.ddSelectionField.frame .ddSelectionField.wider .ddSelectionFieldComponent:first-child{
    margin-right:5px; /* spesial for lang label i Attestasjonsflyt */
}
/* Slutt: Parvise felter i filterflippen */

/*******************/
/* Diverse buttons */
/* Lukk X */
#filterMenu .gs_closediv,
.reportSetup .ddfilterMenu.selection .gs_closediv{
    /*display: none;*/
}

.gs_closediv {
    position: relative;
    left: 94%;
    background-image: url('../img/LukkSlett_X.svg');
    background-repeat: no-repeat;
    height: 12px;
    width: 12px;
    margin: 0;
    cursor: pointer;
    margin-top: -32px;
    margin-bottom: 22px;
}

/* Spesial for Bilagsjournal og Fakturaoversikt (sendte fakturaer) */
#closeSum.gs_closediv {
    width: 20px;
    height: 20px;
    margin: 0;
    left: 98%;
    background-image: url('../img/LukkX.png');
}

.ddSelectionFields button {
    margin-bottom: 5px;
}

.ddSelectionFields button.k-input-button{
    margin-bottom:0;
}

.gs_buttoncontainer .k-button{
    margin:10px 5px 0 5px;
    height:33px;
}

.gs_selectionchanged{
    background-color:#0e3a2e;
    color:#fff;
}

.gs_buttoncancelclass {
    display:none;
}

.ddDateSelectionButton{
    margin: 0 5px 5px 0;
}

/*******************************************/
/* I-knapp tilpasninger for enkeltfelter  */
.ddSelectionField .ddinfomarker,
.ddBusinessesSelectionField .ddinfomarker {
    position: absolute;
    top: 6px;
    right: 12px;
 }

.ddStatusesSelectionField .ddinfomarker {
    position: absolute;
    top: 10px;
    right: 40px;
}

.ddSelectionField.ddSelectionFieldRadioButton .multiselect .ddinfomarker {
    top: 30px;
}

/* Visning av TAG verdi under feltet + i filter-påminnelse */
.ddSelectionField .ddTagValueView {
    color: #9c9c9c;
    font-size: 12px;
    font-style: italic;
    float: left;
    width: 100%;
    margin: -5px 0 5px 0;
}

.ddSelectionField.date { /* med tagvalueView */
    min-height: 70px;
}

.selectionInfoContainer .selectionInfoSpan.ddTagValueView {
    color: #9c9c9c;
    font-size: 12px;
    font-style: italic;
    margin-top: 2px;
}

/* Link i filterflippen (Handlingssenter) */
.ddSelectionFieldLink {
    font-weight: normal;
    margin: -5px 0 5px 0;
    float: left;
    width: 100%;
    font-size: 13px;
}

/* ******************************************* */
/* Visning av aktive filtre */
.selectionInfoContainer{
    width:100%;
    display:flex;
    flex-wrap:wrap;
    margin-bottom:10px;
}

.selectionInfoContainer:before{
    content:"Aktive filtre:";
    font-style:italic;
    margin:6px 10px 0 5px;
}

.selectionInfoContainer .selectionInfoShowContainer,
.selectionInfoContainer .selectionInfoHideContainer{
    display:flex;
    flex-wrap:wrap;
}

.audit .auditMainContentContainer > .selectionInfoContainer:before,
.salarySlipExportInfoContainer > .selectionInfoContainer:before {
    display: none;
}

.selectionInfoContainer .selectionInfoTextContainer{
    display:flex;
}

.selectionInfoContainer .selectionInfoGroup {
    background-color: #fff;
    border:1px solid #dbdbdb;
    border-radius:6px;
    padding: 5px 15px;
    display: flex;
    flex-direction:row-reverse;
    margin: 0 5px 5px 0;
}

.selectionInfoContainer label {
    font-weight: normal;
    font-size: inherit;
    margin: 0 5px 0 0;
    cursor: default;
    max-width: 107px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.selectionInfoContainer .selectionInfoSpan {
    margin: 0 5px 0 0;
    cursor: default;
    max-width: 150px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.selectionInfoContainer .selectionInfoGroupSeparator {
    display:none;
}

.selectionInfoContainer .selectionInfoVisibilityToggler {
    display:none;
}

.selectionInfoGroup button {
    background-color: transparent;
    border: none;
    outline: none;
}

.selectionInfoGroup .selectionInfoClearButton {
    height: 10px;
    background-image: url(../img/LukkSlett_X_rod.svg);
    background-size: contain;
    background-repeat: no-repeat;
    float: left;
    margin-top: 5px;
    cursor:pointer;
    margin-left:10px;
}

.selectionInfoGroup .selectionInfoClearButton:disabled {
    display:none;
}

.selectionInfoGroup[data-field-name="TimeInterval"]{
    display:none;
}

/* Tooltip for visning av satt filter */
.selectionInfoTooltip .selectionInfoSpan{
    float:left;
    margin-left:5px;
}

/* Slutt: Visning av satt filter i websiden, utenfor generic selection flippen */
/*******************************************************************************/

/* Kombinasjon av to utvalgsfelter med radiobuttons */
.ddSelectionField.ddSelectionFieldRadioButton{
    flex-direction:row;
    flex-wrap:wrap;
    margin-top: 4px;
}

.ddSelectionField.ddSelectionFieldRadioButton label{
    margin: 2px 0 4px 5px;
    width:unset;
}
/* Slutt: Kombinasjon av to utvalgsfelter med radiobuttons */

/* ***************************************** */
/* Utvalg i dashboard Widgets i Kendo Window */
/* Nøkkeltall og Tomler */
.widgetSelection .selectionroot{
    padding: 0 4% 4% 4%;
}

.widgetSelection .ddSelectionFields{
    width:300px;
}

.widgetSelection .ddSelectionField{
    min-height:unset;
    width:300px;
}

.widgetSelection .ddSelectionField.carrierList{
    min-height: 65px;
}

.widgetSelection .ddSelectionFieldGroup{
    max-height:533px;
}

.ddToggleExpanderToggleContainer{
    margin:10px 0 10px 5px;
}

.ddToggleExpander a {
    font-weight: normal;
}

.widgetSelection .ddinfomarker{
    right:38px;
}
/* Slutt: Utvalg i dashboard Widgets i Kendo Window */
/****************************************************/

/*******************************************************************/
/* Spesialbehandling av flipper som ikke egentlig er filterflipper + widgets inntil videre */
/* Fakturer timer og Rapportoppsett - Innstillinger flipp */
.timeInvoice .ddfilterMenu.settings .selectionroot,
.reportSetup .ddfilterMenu.settings .selectionroot{
    flex-direction: row-reverse;
}

.timeInvoiceSettingsSelection.gs_buttoncontainer,
.reportSetup .settings .gs_buttoncontainer{
    display: flex;
    align-items:flex-end;
}

.timeInvoiceSettingsSelection.ddSelectionFields,
.reportSetup .settings .ddSelectionFields{
    width:unset;
    flex-direction:row;
}

.timeInvoiceSettingsSelection .ddSelectionField,
.reportSetup .settings .ddSelectionField{
    width:300px;
}

.timeInvoiceSettingsSelection .ddSelectionFieldHeading,
.reportSetup .settings .ddSelectionFieldHeading {
    font-size: 16px;
    margin: 0;
    color: #0e3a2e;
    font-weight: normal;
}

.timeInvoiceSettingsSelection .ddSelectionFieldGroup,
.reportSetup .settings .ddSelectionFieldGroup{
    width:300px;
}

.timeInvoiceSettingsSelection .ddSelectionFieldGroup.andreInnstillinger {
    width: 650px;
    flex-wrap: wrap;
    height:320px;
}

.timeInvoiceSettingsSelection .ddSelectionField.dokumentasjon{
    margin-top:21px;
}

.timeInvoiceSettingsSelection .ddinfomarker,
.reportSetup .settings .ddinfomarker{
    right:38px;
}
/* Slutt: Spesialbehandling av ikke filterflipper */
/**************************************************/
